%define major 5
%define realver %{major}.0.1

# (tpg) MOZILLA_FIVE_HOME
%define mozillalibdir %{_libdir}/%{name}-%{realver}
%define pluginsdir %{_libdir}/mozilla/plugins
%define firefox_channel release

%if %mandriva_branch == Cooker
# Cooker
%define release 1
%else
# Old distros
%define subrel 1
%define release %mkrel 0
%endif

Summary:	Mozilla Firefox web browser
Name:		firefox
Version:	%{realver}
Release:	%{release}
License:	MPLv1+
Group:		Networking/WWW
Url:		http://www.firefox.com/
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{realver}/source/firefox-%{realver}.source.tar.bz2
Source1:	%{SOURCE0}.asc
Source4:	firefox.desktop
Source5:	firefox-searchengines-jamendo.xml
Source6:	firefox-searchengines-exalead.xml
Source8:	firefox-searchengines-askcom.xml
Source9:	kde.js
Patch1:		firefox-lang.patch
Patch2:		firefox-vendor.patch
Patch3:		firefox-disable-check-default-browser.patch
Patch4:		firefox-kde.patch
Patch41:	mozilla-kde.patch
# (OpenSuse) add patch to make firefox always use /usr/bin/firefox when "make firefox
# the default web browser" is used fix mdv bug#58784
Patch5:		firefox-3.6.3-appname.patch
Patch6:		firefox-5.0-asciidel.patch
BuildRequires:	gtk+2-devel
BuildRequires:	libnspr-devel >= 4.8.7
BuildRequires:	nss-devel
BuildRequires:	nss-static-devel
BuildRequires:	sqlite3-devel
BuildRequires:	libproxy-devel
BuildRequires:	libalsa-devel
BuildRequires:	libiw-devel
BuildRequires:	unzip
BuildRequires:	zip
#(tpg) older versions doesn't support apng extension
%if %mdkversion > 201200
BuildRequires:	libpng-devel >= 1.4.1
%endif
BuildRequires:	makedepend
BuildRequires:	python
BuildRequires:	valgrind
BuildRequires:	rootcerts
BuildRequires:	doxygen
BuildRequires:	libgnome-vfs2-devel
BuildRequires:	libgnome2-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	java-rpmbuild
BuildRequires:	wget
BuildRequires:	libnotify-devel
%if %mdkversion >= 201100
BuildRequires:	cairo-devel >= 1.10
%endif
BuildRequires:	yasm >= 1.0.1
BuildRequires:	mesagl-devel
Provides:	webclient
#Requires:	indexhtml
Requires:       xdg-utils
%define ff_deps myspell-en_US nspluginwrapper
Suggests:	%{ff_deps}

#Requires:	mailcap

#Conflicts with stable firefox
#Conflicts:	firefox
#Obsoletes:	firefox

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Mozilla Firefox is a web browser

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other

%description	devel
Files and macros mainly for building Firefox extensions.

%prep
%setup -qn mozilla-%{firefox_channel}

# disabled for tests
%patch1 -p1 -b .lang
%patch2 -p1 -b .vendor
%patch3 -p1 -b .defaultbrowser
%patch6 -p1 -b .wintitle
## KDE INTEGRATION
# copy current files and patch them later to keep them in sync
%patch4 -p1 -b .kde
%patch41 -p1 -b .kdemoz
# install kde.js
install -m 644 %{SOURCE9} browser/app/profile/kde.js

# disabled for now, lets see!
#%patch5 -p1 -b .appname

# (tpg) remove ff bookmarks, use mdv ones
rm -rf browser/locales/en-US/profile/bookmarks.html
touch browser/locales/en-US/profile/bookmarks.html

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd


%build

# (gmoro) please dont enable all options by hand
# we need to trust firefox defaults
export MOZCONFIG=./mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS="%{_smp_mflags}"
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../obj
ac_add_options --prefix="%{_prefix}"
ac_add_options --libdir="%{_libdir}"
ac_add_options --sysconfdir="%{_sysconfdir}"
ac_add_options --mandir="%{_mandir}"
ac_add_options --includedir="%{_includedir}"
ac_add_options --datadir="%{_datadir}"
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-zlib
ac_add_options --disable-installer
ac_add_options --disable-updater
ac_add_options --disable-tests
ac_add_options --disable-debug
#ac_add_options --enable-chrome-format=jar
#ac_add_options --enable-update-channel=beta
ac_add_options --enable-official-branding
ac_add_options --enable-libproxy
%if %mdkversion > 201200
ac_add_options --with-system-png
%else
ac_add_options --without-system-png
%endif
ac_add_options --with-system-jpeg

%if %mdkversion >= 201100
ac_add_options --enable-system-cairo
ac_add_options --enable-system-sqlite
%else
ac_add_options --disable-system-cairo
ac_add_options --disable-system-sqlite
%endif
ac_add_options --with-distribution-id=com.mandriva
ac_add_options --disable-crashreporter
EOF

make -f client.mk build

%install

make -C %{_builddir}/obj/browser/installer STRIP=/bin/true

# Copy files to buildroot
%{__mkdir_p} %{buildroot}%{mozillalibdir}
cp -rf %{_builddir}/obj/dist/firefox/* %{buildroot}%{mozillalibdir}

%{__mkdir_p}  %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/firefox

# Create an own %_libdir/mozilla/plugins
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/plugins

# (tpg) desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/firefox.desktop

# (gmoro) icons
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 32 48 ; do
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/firefox.png ;
done

# exclusions
rm -f %{buildroot}%{mozillalibdir}/README.txt
rm -f %{buildroot}%{mozillalibdir}/removed-files
rm -f %{buildroot}%{mozillalibdir}/precomplete

install -D -m644 browser/app/profile/prefs.js %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
user_pref("browser.search.selectedEngine","Ask.com");
user_pref("browser.search.order.1","Ask.com");
user_pref("browser.search.order.2","Exalead");
user_pref("browser.search.order.3","Google");
user_pref("browser.search.order.4","Yahoo");
user_pref("browser.EULA.override", true);
user_pref("browser.shell.checkDefaultBrowser", false);
user_pref("browser.startup.homepage", "file:///usr/share/doc/HTML/index.html");
user_pref("browser.ctrlTab.previews", true);
user_pref("browser.tabs.insertRelatedAfterCurrent", false);
user_pref("app.update.auto", false);
user_pref("app.update.enabled", false);
user_pref("app.update.autoInstallEnabled", false);
user_pref("security.ssl.require_safe_negotiation", false);
user_pref("browser.startup.homepage","file:///usr/share/doc/HTML/index.html");
EOF

# search engines
cp -f %{SOURCE5} %{buildroot}%{mozillalibdir}/searchplugins/jamendo.xml
cp -f %{SOURCE6} %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml
cp -f %{SOURCE8} %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml

# Correct distro values on search engines
sed -i 's/@DISTRO_VALUE@/ffx/' %{buildroot}%{mozillalibdir}/searchplugins/askcom.xml
sed -i 's/@DISTRO_VALUE@//' %{buildroot}%{mozillalibdir}/searchplugins/exalead.xml

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%firefox_major              %{major}
%%firefox_version            %{realver}
%%firefox_mozillapath        %{mozillalibdir}
%%firefox_pluginsdir         %{pluginsdir}
%%firefox_appid              \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%%firefox_extdir             %%(if [ "%%_target_cpu" = "noarch" ]; then echo %%{_datadir}/mozilla/extensions/%%{firefox_appid}; else echo %%{_libdir}/mozilla/extensions/%%{firefox_appid}; fi)
FIN

%post
unset DISPLAY
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
    *powerpack) bookmark="mozilla-powerpack.html" ;;
    *desktop) bookmark="mozilla-one.html";;
    *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mdk/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi

%files -f %{name}.lang
%{_bindir}/firefox
%{_iconsdir}/hicolor/*/apps/*.png
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}-%{realver}*
%dir %{_libdir}/mozilla
%dir %{pluginsdir}

%files devel
%{_sys_macros_dir}/%{name}.macros


%changelog
* Wed Aug 03 2011 Funda Wang <fwang@mandriva.org> 5.0.1-0.1mdv2011.0
+ Revision: 692943
- new version 5.0.1

* Tue Jun 28 2011 Götz Waschk <waschk@mandriva.org> 5.0-2
+ Revision: 687985
- bump yasm dep to 1.0.1

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Clean spec file

* Wed Jun 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 5.0-1
+ Revision: 686583
- Now that this is in firefox branch do not conflict with firefox

* Wed Jun 22 2011 Guilherme Moro <guilherme@mandriva.com> 5.0-0
+ Revision: 686571
- New version

* Tue May 17 2011 Oden Eriksson <oeriksson@mandriva.com> 0:4.0.1-2
+ Revision: 675845
- rebuild

* Thu Apr 28 2011 Funda Wang <fwang@mandriva.org> 0:4.0.1-1
+ Revision: 660096
- new version 4.0.1
- firefox is just firefox, we will promote its function in generic name

* Mon Mar 21 2011 Funda Wang <fwang@mandriva.org> 0:4.0-1
+ Revision: 647262
- 4.0 final

* Sun Mar 20 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.rc2.3
+ Revision: 647142
- New version 4.0 rc2

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Enable back kde firefox integration

* Thu Mar 10 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.rc1.1
+ Revision: 643637
- update mozilla dir
- update file dir
- 4.0 rc1

* Sat Feb 26 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b12.1
+ Revision: 639838
- 4.0 b12

* Tue Feb 08 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b11.1
+ Revision: 636905
- disable elf hack also
- 4.0 b11

* Mon Jan 31 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b10.2
+ Revision: 634408
- now ships boundled weave sync
- update url
- drop unused BR

* Thu Jan 27 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b10.1
+ Revision: 633161
- 4.0 b10

* Fri Jan 21 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b9.3
+ Revision: 631980
- rebuild
- update desc

* Tue Jan 18 2011 Guilherme Moro <guilherme@mandriva.com> 0:4.0-0.b9.2
+ Revision: 631629
- Fixed build with the new omni.jar format and enabled again system nss

* Tue Jan 18 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b9.1
+ Revision: 631440
- 4.0 b9
- escape macros
- add more firefox macro to ease packaging extensions per discussion on cooker@

* Wed Jan 05 2011 Funda Wang <fwang@mandriva.org> 0:4.0-0.b8.1mdv2011.0
+ Revision: 628756
- fix file list

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.4mdv2011.0
+ Revision: 598569
- more specific firefox preversion for extensions

* Fri Nov 12 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.3mdv2011.0
+ Revision: 596420
- finally fix xulrunne req

* Fri Nov 12 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.2mdv2011.0
+ Revision: 596408
- fix prefinal requires

* Thu Nov 11 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b7.1mdv2011.0
+ Revision: 595945
- add specific BR for prefinal version

  + Thierry Vignaud <tv@mandriva.org>
    - advise to svn cp xulrunner sources instead of adding again the sources in SVN
    - new release

* Thu Sep 16 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b6.1mdv2011.0
+ Revision: 579047
- update to new version 4.0b6

* Tue Sep 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b5.1mdv2011.0
+ Revision: 576695
- update to new version 4.0b5

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 0:4.0-0.b4.2mdv2011.0
+ Revision: 574483
- rebuild for new xulrunner

* Wed Aug 25 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b4.1mdv2011.0
+ Revision: 573010
- update to new version 4.0b4

* Tue Aug 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b3.2mdv2011.0
+ Revision: 572952
+ rebuild (emptylog)

* Mon Aug 23 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:4.0-0.b3.1mdv2011.0
+ Revision: 572074
- add buildrequires on mesagl-devel
- update to new version 4.0b3
- disable patches 4 an 17 (need a rediff)
- do no build against system-wide nss (temporary)
- sync configure options with xulrunner

* Sat Jul 24 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6.8-1mdv2011.0
+ Revision: 558168
- update to new version 3.6.8

  + Frederic Crozat <fcrozat@mandriva.com>
    - revert for cooker / stable

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-1mdv2010.1
+ Revision: 549343
- Fix release number for cooker / 2010.1

* Mon Jun 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0:3.6.6-0.1mdv2010.1
+ Revision: 549287
- Release 3.6.6

* Sun Jun 27 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.4-1mdv2010.1
+ Revision: 549245
- sync with MDVSA-2010:125

* Mon May 17 2010 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6.3-10mdv2010.1
+ Revision: 544926
- enable default app path patch

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - add patch from OpenSuse to make firefox always use /usr/bin/firefox when
      "make firefox the default web browser" is used, should fix mdv#58784 (patch is
      disabled at the moment).

* Fri Apr 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-9mdv2010.1
+ Revision: 535414
- actually make that sqlite3 version discovery working...

* Thu Apr 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-8mdv2010.1
+ Revision: 535078
- fix #58754 (firefox 3.6.3 should require latest sqlite)

* Mon Apr 12 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-7mdv2010.1
+ Revision: 533712
- actually use the correct name and major for sqlite3
- bump release
- pull a recent enough sqlite3

* Fri Apr 09 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-6mdv2010.1
+ Revision: 533450
- re-enable two of the patches (duh!)

* Thu Apr 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-5mdv2010.1
+ Revision: 533027
- set security.ssl.require_safe_negotiation to false. there's too many sites that are affected, including https://qa.mandriva.com

* Wed Apr 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-4mdv2010.1
+ Revision: 532692
- rebuild
- more backport fixes
- adjust deps a bit

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-3mdv2010.1
+ Revision: 532334
- make it backportable to 2008.0

* Tue Apr 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.3-2mdv2010.1
+ Revision: 532016
- fix CVE-2009-3555

* Sun Apr 04 2010 Funda Wang <fwang@mandriva.org> 0:3.6.3-1mdv2010.1
+ Revision: 531036
- new version 3.6.3

* Tue Mar 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0:3.6.2-1mdv2010.1
+ Revision: 526886
- it really needs nss-3.12.6
- adjust deps
- 3.6.2
- adjust deps
- rather removed more annoyances...
- fix "incorrect" opening of new tabs, revert to 3.5 behaviour

* Thu Jan 21 2010 Funda Wang <fwang@mandriva.org> 0:3.6-1mdv2010.1
+ Revision: 494597
- New version 3.6 final

* Wed Jan 20 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 0:3.6-0.rc2.2mdv2010.1
+ Revision: 493941
- Add kde integration patch
- Add kde.js as source.
  This is not used yet but will be to add kde integration into firefox

* Mon Jan 18 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.6-0.rc2.1mdv2010.1
+ Revision: 493330
- update to new versin 3.6-rc2

* Sat Jan 09 2010 Götz Waschk <waschk@mandriva.org> 0:3.6-0.rc1.1mdv2010.1
+ Revision: 488183
- really fix firefox libdir

  + Ahmad Samir <ahmadsamir@mandriva.org>
    -fix spec

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.6-rc1

* Fri Dec 18 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b5.1mdv2010.1
+ Revision: 479897
- firefox 3.6b5
- fix ctrlTab pref in prefs.js

* Wed Dec 16 2009 Christophe Fergeau <cfergeau@mandriva.com> 0:3.6-0.b4.2mdv2010.1
+ Revision: 479429
- push 3.6b4 to cooker main/release
- switch to firefox 3.6beta4

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-2mdv2010.1
+ Revision: 479174
- bump rel, previous package was eaten by bs

* Wed Dec 16 2009 Funda Wang <fwang@mandriva.org> 0:3.5.6-1mdv2010.1
+ Revision: 479148
- New version 3.5.6

* Fri Nov 06 2009 Funda Wang <fwang@mandriva.org> 0:3.5.5-1mdv2010.1
+ Revision: 460603
- New version 3.5.5

* Mon Oct 26 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 0:3.5.3-2mdv2010.0
+ Revision: 459403
- added a patch setting the proper mailto handler (#44151)

* Tue Sep 15 2009 Funda Wang <fwang@mandriva.org> 0:3.5.3-1mdv2010.0
+ Revision: 441777
- fix wrong use of xulrunner version magic

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.5.3

* Sun Aug 23 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.5.2-4mdv2010.0
+ Revision: 420216
- update StartupWMClass in firefox.desktop file
- drop firefox.png icon, use shipped within tarball ones
- move icons to %%_iconsdir/hicolor
- use %%xulrunner_version macro
- drop buildrequires on lcms-devel
- do not overrite default optimization flags in --enable-optimize switch

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-3mdv2010.0
+ Revision: 417719
- fixed custom mdv homepage patch (firefox-3.0b3-homepage)

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-2mdv2010.0
+ Revision: 417646
- put the macros in a -devel package, so extensions don't need to require whole firefox

* Tue Aug 18 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.5.2-1mdv2010.0
+ Revision: 417591
- added macros for building packages requiring firefox
- new version 3.5.2, merged from cooker/firefox/branches/current

* Tue Aug 04 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.13-1mdv2010.0
+ Revision: 408633
- Updated firefox to 3.0.13.

* Thu Jul 23 2009 Eugeni Dodonov <eugeni@mandriva.com> 0:3.0.12-1mdv2010.0
+ Revision: 399083
- Updated to FF 3.0.12.

* Wed Jun 17 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.11-2mdv2010.0
+ Revision: 386840
- use %%mandriva_branch again

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Updated sqlite3 dependencies for Firefox 3.0.11.

* Fri Jun 12 2009 Funda Wang <fwang@mandriva.org> 0:3.0.11-1mdv2010.0
+ Revision: 385514
- New version 3.0.11
- update firefox.desktop with our own translation

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - rebuild for gcc-4.4.0

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0:3.0.10-1mdv2010.0
+ Revision: 369503
- New version 3.0.10

* Sat Mar 28 2009 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.8-1mdv2009.1
+ Revision: 361836
- new version 3.0.8

* Wed Mar 11 2009 Oden Eriksson <oeriksson@mandriva.com> 0:3.0.7-1mdv2009.1
+ Revision: 354017
- 3.0.7

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0:3.0.6-1mdv2009.1
+ Revision: 336982
- New version 3.0.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - obsoletes for upgrades from older distro versions:
      . obsolete latest Firefox 2 version (2.0.0.19)
      . obsolete kdeff theme, which only works with Firefox 2
    - automate subrel definition when building for older distros
    - prepare firefox 3 to build on older distro versions too

* Mon Dec 22 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.5-2mdv2009.1
+ Revision: 317704
- build with %%setup_compile_flags

  + Funda Wang <fwang@mandriva.org>
    - New version 3.0.5
    - rediff lang.patch, vendor.patch

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - reduce chance of errors by hardcoding the right values

* Thu Nov 13 2008 Gustavo De Nardin <gustavodn@mandriva.com> 0:3.0.4-1mdv2009.1
+ Revision: 302922
- Obsolete new old mozilla-firefox 2.x versions
- adding big banner to the spec, to prevent people from messing it up

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 3.0.4
    - update to firefox 3.1-beta1

* Mon Sep 29 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.3-2mdv2009.0
+ Revision: 289827
- do not show EULA
- bump release

* Sat Sep 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0:3.0.3-1mdv2009.0
+ Revision: 288944
- update to new version 3.0.3

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-2mdv2009.0
+ Revision: 288649
- add strict version requires to xulrunner (#44255)
- bump release

* Thu Sep 25 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.2-1mdv2009.0
+ Revision: 288006
- version 3.0.2

* Thu Sep 04 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-10mdv2009.0
+ Revision: 280885
- suggest nspluginwrapper
- bump release

* Tue Sep 02 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-9mdv2009.0
+ Revision: 279062
- obsolete old libmozilla-firefox by using %%mklibname
- bump release
- enable BUILD_OFFICIAL and MOZILLA_OFFICIAL

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-8mdv2009.0
+ Revision: 273430
- obsoleting all libmozilla-firefox2.0.0.x manually
- bump release

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-7mdv2009.0
+ Revision: 273279
- disabling auto selection theme patch

* Mon Aug 18 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-6mdv2009.0
+ Revision: 273216
- removing suggests to firefox-theme-kde4ff.
- bump release
- add Obsoletes to the old libmozilla-firefox

* Mon Aug 11 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-5mdv2009.0
+ Revision: 270873
- fixing i18n for menu entries. (desktop file from fedora)

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - bump tag
    - drop patches 0,8,9,10,11,13 as these are xulrunner specific
    - build with system wide nspr and nss libraries

* Wed Aug 06 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-4mdv2009.0
+ Revision: 265033
- create and own %%_libdir/mozilla/plugins
- Remove requires for myspell packages as they will be suggested in l10n packages (#42304)
- add suggests to myspell-en_US
- bump release

* Fri Aug 01 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-3mdv2009.0
+ Revision: 260092
- do not conflict with mozilla-firefox-theme-kdeff. firefox-theme-kde4ff will obsolete it.
- add patch to disable classic theme auto selection.
- add suggests tag to kde4ff theme
- bump release
- moving firefox3.desktop to firefox.desktop

* Wed Jul 30 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-2mdv2009.0
+ Revision: 256402
- changing ff3 to use xulrunner1.9
- dropping ff libification
- obsoleting libfirefox3 and mozilla-firefox 2 package
- renaming wrapper scripts to firefox and mozilla-firefox
- add patch to remove update option from help menu
- bump release

  + Funda Wang <fwang@mandriva.org>
    - use internal sqlite for previous releases

  + Frederik Himpe <fhimpe@mandriva.org>
    - Starting from Firefox 3.0.1, at least sqlite 3.5.9 is needed, so on
      Mandriva older than 2009.0 use the included sqlite library instead
      of the system wide one

* Mon Jul 21 2008 Tiago Salem <salem@mandriva.com.br> 0:3.0.1-1mdv2009.0
+ Revision: 239495
- Remove networkmanager and sqlite pacthes as they are upstream now.
- add Requires to mailcap. Fixes bug #42096
- add ask.com search engine
- change search engines menu order
- bump release
- Changing old firefox 2 description to a new one.
- bump release (0.b5.2mdv)
- fixing libdir for plugins
- renaming startup script to firefox3
- adding Requires to libfirefox3 on firefox3 package
- changing desktop file to point to firefox3
- fix wrong plugins directory.
- Disabling broken patches.

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - no more branches, move firefox to its own svn place
    - update to new version 3.0.1
    - do not strip debug symbols so the debug package is not empty
    - Patch13: use the correct restart command for session managers (plugins are not being loaded after user login)
    - try to use jemalloc instead of malloc, as it can help reduce memory fragmentation
    - enable java build, add buildrequires on java-rpmbuild
    - provide better description
    - let's try compile firefox with enabled strict aliasing
    - don't pass our %%optflags for --enable-optimize
    - Patch12: ignore NetworkManager status (upstream mozilla bug #424626)
    - update to new release 3.0
    - update to new release candidate rc3
    - update to new release candidate rc2
    - add missing build requires on gnome stuff (handle mime-types #41201)
    - add build requires on doxygen
    - do not install buildrequires for nss-devel and nspr-devel because ff3 uses its own (for now)
    - hunspell handles now dictionaries, no need to create a symlinks for them
    - set pref browser.tabs.loadDivertedInBackground (more infos at bug #25009)
    - disable crashreporter, and drop buildrequires on curl-devel
    - fix file list
    - Patch0: try better solution of get the mozilla plugins path (work in progress)
    - Patch10: do not use firefox's own libIDL
    - Patch11: hopefully fix compiling against system-wide hunspell
    - do not build crashreporter tool
    - enable all image encoders
    - enable default extensions
    - enable hunspell support (it is in main now)
    - use %%serverbuild macro
    - add cache files
    - disable hunspell because it is in contrib :(
    - enable system-wide hunspell support
    - use system-wide dictionaries
    - requires desktop-file-utils
    - drop patch 10, set preferences into spec file
    - add search engines
    - add firefox-rebuild-databases.pl tool
    - enable Mandriva specific bookmarks
    - add Mandriva specific settings
    - disable EULA popup
    - regenerate certificates
    - disable native uconv (really fixes #40944)
    - re-enable Xft support
    - drop requires on icu and buildrequires on icu-devel (useless)
    - Patch10: various firefox preferences
      o disable firefox update
      o enable smooth scroll
      o use system colors
      o enable http pipelining
    - add buildrequires on icu-devel (#40944)
    - Patch8: completely re-done patch, get the MAXPATHLEN from glibc rather than hardcoding (fixes buffer overflow #41102)
    - Patch9: remove -WConversion, this silences gcc output
    - Patch8: fix exePath lenght to prevent firefox crash
    - disable Xft as it sometimes renders bad fonts (# 40944)
    - don not ise system-wide nspr and nss libraries, because they were not updated yet
    - fix file list
    - fix desktop file
    - drop the mozilla prefix from the name
    - enable sqlite support
    - new version
    - backport few patches from firefox2
    - add source and spec file

  + Giuseppe Ghibò <ghibo@mandriva.com>
    - Versioning sqlite BuildRequires.
    - Don't force expanded %%{optflags} in CFLAGS.

  + Thierry Vignaud <tv@mandriva.org>
    - devel package needs the library
    - fix 'empty-%%post(|un)' error (rpm filetriggers deprecates update_menus &
      update_desktop_database)
    - stop packaging useless OS/2 & build doc as well as CVS directories
    - RC1
    - patch 7: fix testing for sqlite >= 3.5.4 that fails with sqlite-3.5.7

